## org.apache.taglibs.standard.functions
Class Functions

    java.lang.Object
      org.apache.taglibs.standard.functions.Functions

    public class Functions

extends Object

JSTL Functions

Author:
  Pierre Delisle

Constructor Summary
`Functions()`

Method Summary
`static boolean` `contains(String input, String substring)`
`static boolean` `containsIgnoreCase(String input, String substring)`
`static boolean` `endsWith(String input, String substring)`
`static String` `escapeXml(String input)`
`static int` `indexOf(String input, String substring)`
`static String` `join(String[] array, String separator)`
`static int` `length(Object obj)`
`static String` `replace(String input, String substringBefore, String substringAfter)`
`static String[]` `split(String input, String delimiters)`
`static boolean` `startsWith(String input, String substring)`
`static String` `substring(String input, int beginIndex, int endIndex)`
`static String` `substringAfter(String input, String substring)`
`static String` `substringBefore(String input, String substring)`
`static String` `toLowerCase(String input)` Converts all of the characters of the input string to lower case.
`static String` `toUpperCase(String input)` Converts all of the characters of the input string to upper case.
`static String` `trim(String input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Functions

    public Functions()

Method Detail

### toUpperCase

    public static String toUpperCase(String input)

  Converts all of the characters of the input string to upper case.

### toLowerCase

    public static String toLowerCase(String input)

  Converts all of the characters of the input string to lower case.

### indexOf

    public static int indexOf(String input,
                              String substring)

### contains

    public static boolean contains(String input,
                                   String substring)

### containsIgnoreCase

    public static boolean containsIgnoreCase(String input,
                                             String substring)

### startsWith

    public static boolean startsWith(String input,
                                     String substring)

### endsWith

    public static boolean endsWith(String input,
                                   String substring)

### substring

    public static String substring(String input,
                                   int beginIndex,
                                   int endIndex)

### substringAfter

    public static String substringAfter(String input,
                                        String substring)

### substringBefore

    public static String substringBefore(String input,
                                         String substring)

### escapeXml

    public static String escapeXml(String input)

### trim

    public static String trim(String input)

### replace

    public static String replace(String input,
                                 String substringBefore,
                                 String substringAfter)

### split

    public static String[] split(String input,
                                 String delimiters)

### length

    public static int length(Object obj)
                      throws JspTagException

  Throws:
    `JspTagException`

### join

    public static String join(String[] array,
                              String separator)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.